# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name base-unicode-symbols

%global common_summary Unicode alternatives to common Haskell operators and functions

%global common_description This package defines new symbols for a number of functions, operators and types\
in the base package. All symbols are documented with their actual definition\
and information regarding their Unicode code point. They should be completely\
interchangeable with their definitions.\
\
For more Unicode goodness you can enable the UnicodeSyntax language extension.\
This extension enables Unicode characters to be used to stand for certain ASCII\
character sequences, i.e. → instead of ->, ∀ instead of forall and many others.

Name:           ghc-%{pkg_name}
Version:        0.2.2.4
Release:        2%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.markdown

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.4-1
- update to 0.2.2.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.3-2
- rebuild

* Thu Jan 26 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.3-1
- BSD license

* Thu Jan 26 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
